/***************************************************************************/
/*                                                                         */
/* FILE NAME : rnd_ut.h                                                    */
/*                                                                         */
/*                                                                         */
/***************************************************************************/

#include <stdio.h>
#include "ga.h"

extern double drand48();
long int fpseed = 150;


int preflip(prob)
float prob;
{
  long int lo, hi, test;
  float u;

  hi = fpseed / qq;
  lo = fpseed % (long int) qq;
  test = aa*lo - rr*hi;

  if (test > 0) 
    fpseed = test;
  else
    fpseed = test + mm;

  u =  srand(fpseed);
  u = u / mm;
  if (u < prob)
    return 0;
  else
    return 1;
}


int rnd(low, high)
int low, high;
{
  double u;
  int n;

  u = drand48();  
  n = u*(high-low+1) + low;
  if (n>high) n = high;
  return (n);
}
